> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request deletion of an Employer

> Requests deletion of an Employer and all associated data (employees, submissions, admins).



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml delete /v1/employers/{employerId}
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}:
    delete:
      tags:
        - Employer
      summary: Request deletion of an Employer
      description: >-
        Requests deletion of an Employer and all associated data (employees,
        submissions, admins).
      operationId: deleteEmployer
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Deletion request accepted and scheduled
        '400':
          description: Bad Request - Invalid employer ID
        '404':
          description: Employer not found
        '410':
          content:
            application/json:
              examples:
                Deletion already pending:
                  description: Deletion already pending
                  summary: Employer is already marked for deletion
                  value:
                    error: >-
                      This employer has been deleted. Please contact support if
                      you believe this is an error
          description: Employer already deleted
      security:
        - AuthenticationToken: []
components:
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````